Loading...
Searching...
No Matches
Opm::WellModelGhostLastMatrixAdapter< M, X, Y, overlapping > Class Template Reference

Adapter to combine a matrix and another linear operator into a combined linear operator. More...

`#include <WellOperators.hpp>`

Inheritance diagram for Opm::WellModelGhostLastMatrixAdapter< M, X, Y, overlapping >:

## Public Types

using | matrix_type = M
using | domain_type = X
using | range_type = Y
using | field_type = typename X::field_type
using | PressureMatrix = Dune::BCRSMatrix<MatrixBlock<field_type, 1, 1>>
using | communication_type = Dune::Communication<int>

## Public Member Functions

Dune::SolverCategory::Category | category () const override
| WellModelGhostLastMatrixAdapter (const M &A, const LinearOperatorExtra< X, Y > &wellOper, const std::size_t interiorSize)
| constructor: just store a reference to a matrix
void | apply (const X &x, Y &y) const override
void | applyscaleadd (field_type alpha, const X &x, Y &y) const override
const matrix_type & | getmat () const override
void | addWellPressureEquations (PressureMatrix &jacobian, const X &weights, const bool use_well_weights) const
void | addWellPressureEquationsStruct (PressureMatrix &jacobian) const
int | getNumberOfExtraEquations () const

## Protected Member Functions

void | ghostLastProject (Y &y) const

## Protected Attributes

const matrix_type & | A_
const LinearOperatorExtra< X, Y > & | wellOper_
std::size_t | interiorSize_

## Detailed Description

template<class M, class X, class Y, bool overlapping>
class Opm::WellModelGhostLastMatrixAdapter< M, X, Y, overlapping >

Adapter to combine a matrix and another linear operator into a combined linear operator.

This is similar to WellModelMatrixAdapter, with the difference that here we assume a parallel ordering of rows, where ghost rows are located after interior rows.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/WellOperators.hpp